Reply
Explorer
Posts: 35
Registered: ‎11-26-2014

hive errors

Helo,

 

I just installed hive and I'm getting this errors:

 

in the Hive metastore server:

 

Metastore thrift server threw an exception

metaexception(message:Version information not found in metastore.)

 

 

 

then on the hiveserver2

 

 

WARN hive.metastore: set_ugi() not successful, Likely cause: new client talking to old server. Continuing without it.
org.apache.thrift.transport.TTransportException: java.net.SocketTimeoutException: Read timed out

Highlighted
Cloudera Employee
Posts: 820
Registered: ‎03-23-2015

Re: hive errors

Hi,

 

Can you let me know what version of CDH are you using? And can you please connect to Hive MetaStore's database and check the content under VERSION table. Please paste the output of SELECT * FROM VERSION; query here (assuming that you are using MySQL).

 

If you do not have any tables under the HMS database, you will need to install them first. Go to CM > Hive > Action (top right corner) > Create Hive MetaStore Database Tables (you will need to stop Hive first).

 

If VERSION table does exist, check the output of query "SELECT * FROM VERSION;" (assuming that you are using MySQL), and see if the version number matches with the Hive version in the link below (assuming you are on 5.5.x)

https://www.cloudera.com/documentation/enterprise/release-notes/topics/cdh_vd_cdh_package_tarball_55...

 

Thanks